=head1 NAME

Gtk2::ColorButton

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Button
                                +----Gtk2::ColorButton



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable
  Gtk2::Activatable



=cut


=head1 METHODS

=head2 widget = Gtk2::ColorButton-E<gt>B<new> ($color=undef)

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=head2 widget = Gtk2::ColorButton-E<gt>B<new_with_color> ($color=undef)

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=head2 unsigned = $color_button-E<gt>B<get_alpha> 

=head2 $color_button-E<gt>B<set_alpha> ($alpha)

=over

=item * $alpha (unsigned) 

=back

=head2 color = $color_button-E<gt>B<get_color> 

=head2 $color_button-E<gt>B<set_color> ($color)

=over

=item * $color (Gtk2::Gdk::Color) 

=back

=head2 string = $color_button-E<gt>B<get_title> 

=head2 $color_button-E<gt>B<set_title> ($title)

=over

=item * $title (string) 

=back

=head2 boolean = $color_button-E<gt>B<get_use_alpha> 

=head2 $color_button-E<gt>B<set_use_alpha> ($use_alpha)

=over

=item * $use_alpha (boolean) 

=back



=cut


=head1 PROPERTIES

=over

=item 'alpha' (Glib::UInt : default 65535 : readable / writable / private)

The selected opacity value (0 fully transparent, 65535 fully opaque)

=item 'color' (Gtk2::Gdk::Color : default undef : readable / writable / private)

The selected color

=item 'title' (string : default "Pick a Color" : readable / writable / private)

The title of the color selection dialog

=item 'use-alpha' (boolean : default false : readable / writable / private)

Whether or not to give the color an alpha value

=back



=cut


=head1 SIGNALS

=over

=item B<color-set> (Gtk2::ColorButton)

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Button>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

